# m3e/filter_chip_set

FilterChipSet is a container that organizes filter chips into a cohesive group, enabling selection and //// deselection of values used to refine content or trigger contextual behavior.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        hide_selection_indicator: HideSelectionIndicator,
        multi: Multi,
        name: String,
        vertical: Vertical,
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        hide_selection_indicator: HideSelectionIndicator,
        multi: Multi,
        name: String,
        vertical: Vertical,
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## FilterChipSet

opaque </>

FilterChipSet is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- hide_selection_indicator: Whether to hide the selection indicator.
- multi: Whether multiple chips can be selected.
- name: The name that identifies the element when submitting the associated form.
- vertical: Whether the element is oriented vertically.

    pub opaque type FilterChipSet

## HideSelectionIndicator

</>

HideSelectionIndicator is whether to hide the selection indicator.

    pub type HideSelectionIndicator {
      IsHideSelectionIndicator
      IsNotHideSelectionIndicator
    }

### Constructors

-     IsHideSelectionIndicator

-     IsNotHideSelectionIndicator

## Multi

</>

Multi is whether multiple chips can be selected.

    pub type Multi {
      IsMulti
      IsNotMulti
    }

### Constructors

-     IsMulti

-     IsNotMulti

## Vertical

</>

Vertical is whether the element is oriented vertically.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_hide_selection_indicator

</>

    pub const default_hide_selection_indicator: HideSelectionIndicator

## default_multi

</>

    pub const default_multi: Multi

## default_name

</>

    pub const default_name: String

## default_vertical

</>

    pub const default_vertical: Vertical

## disabled

</>

    pub fn disabled(
      record: FilterChipSet,
      disabled: Disabled,
    ) -> FilterChipSet

disabled sets the value of disabled for this FilterChipSet.

## from_config

</>

    pub fn from_config(config: Config) -> FilterChipSet

from_config creates a new FilterChipSet from the given configuration.

## hide_selection_indicator

</>

    pub fn hide_selection_indicator(
      record: FilterChipSet,
      hide_selection_indicator: HideSelectionIndicator,
    ) -> FilterChipSet

hide_selection_indicator sets the value of hide_selection_indicator for this FilterChipSet.

## multi

</>

    pub fn multi(
      record: FilterChipSet,
      multi: Multi,
    ) -> FilterChipSet

multi sets the value of multi for this FilterChipSet.

## name

</>

    pub fn name(record: FilterChipSet, name: String) -> FilterChipSet

name sets the value of name for this FilterChipSet.

## new

</>

    pub fn new() -> FilterChipSet

new creates a new FilterChipSet with the default configuration.

## render

</>

    pub fn render(
      model: FilterChipSet,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a FilterChipSet

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a FilterChipSet Config

## vertical

</>

    pub fn vertical(
      record: FilterChipSet,
      vertical: Vertical,
    ) -> FilterChipSet

vertical sets the value of vertical for this FilterChipSet.

✨